unmet dependencies Elmer from PPA ubuntu 20.04 and 20.10

Discussion about building and installing Elmer
ftrillaudp
Posts: 31
Joined: 23 May 2012, 05:26
Antispam: Yes

unmet dependencies Elmer from PPA ubuntu 20.04 and 20.10

Post by ftrillaudp »

Dear all,

I have tried to install Elmer on Ubuntu 20.04 and 20.10 both without success due to unmet dependencies.

Ubuntu 20.04: libgfortran
Ubuntu 20.10: libgfortran and libparmetis4.0.3

I am joining a screenshot of the messages.

Best,

Frederic
Screen Shot 2020-11-17 at 16.10.02.png
Ubuntu 20.10
(695.93 KiB) Not downloaded yet
Screen Shot 2020-11-17 at 14.16.03.png
Ubuntu 20.04
(883.76 KiB) Not downloaded yet
kevinarden
Posts: 722
Joined: 25 Jan 2019, 01:28
Antispam: Yes

Re: unmet dependencies Elmer from PPA ubuntu 20.04 and 20.10

Post by kevinarden »

sounds like gfortran is not installed, or a different version than expected is installed.
ftrillaudp
Posts: 31
Joined: 23 May 2012, 05:26
Antispam: Yes

Re: unmet dependencies Elmer from PPA ubuntu 20.04 and 20.10

Post by ftrillaudp »

gfortran was installed via the apt. I agree that it is likely that the Elmer in the PPA was not compiled against the fortran provided by Ubuntu focal package manager.

I have no idea what version of fortran was used.
raback
Site Admin
Posts: 3829
Joined: 22 Aug 2009, 11:57
Antispam: Yes
Location: Espoo, Finland
Contact:

Re: unmet dependencies Elmer from PPA ubuntu 20.04 and 20.10

Post by raback »

Hi

Is this problem with Ubuntu 20.04 persisting? The recipe has been slightly changed some days ago and should be updated at launchpad.

-Peter
dymaxionkim
Posts: 5
Joined: 21 May 2015, 08:53
Antispam: Yes

Re: unmet dependencies Elmer from PPA ubuntu 20.04 and 20.10

Post by dymaxionkim »

raback wrote: 22 Nov 2020, 14:58 Hi

Is this problem with Ubuntu 20.04 persisting? The recipe has been slightly changed some days ago and should be updated at launchpad.

-Peter

Today 2020-11-25, Ubuntu 20.04
I checked it :
elmerfem-csc : No Problem!
elmerfem-csc-eg : There is still the problem.

I hope it will also be resolved in elmerfem-csc-eg.
raback
Site Admin
Posts: 3829
Joined: 22 Aug 2009, 11:57
Antispam: Yes
Location: Espoo, Finland
Contact:

Re: unmet dependencies Elmer from PPA ubuntu 20.04 and 20.10

Post by raback »

Hi dymaxionkim,

Can you sent the error from the "eg" version.

-Peter
dymaxionkim
Posts: 5
Joined: 21 May 2015, 08:53
Antispam: Yes

Re: unmet dependencies Elmer from PPA ubuntu 20.04 and 20.10

Post by dymaxionkim »

raback wrote: 25 Nov 2020, 11:06 Hi dymaxionkim,

Can you sent the error from the "eg" version.

-Peter

20201125_172242_900x529.png
20201125_172242_900x529.png (89.78 KiB) Viewed 47 times
Same for Mr.ftrillaudp's reporting.
Thank you, Dr.Raback!
kevinarden
Posts: 722
Joined: 25 Jan 2019, 01:28
Antispam: Yes

Re: unmet dependencies Elmer from PPA ubuntu 20.04 and 20.10

Post by kevinarden »

Broken packages is a local machine OS installation error

https://www.maketecheasier.com/fix-brok ... es-ubuntu/
raback
Site Admin
Posts: 3829
Joined: 22 Aug 2009, 11:57
Antispam: Yes
Location: Espoo, Finland
Contact:

Re: unmet dependencies Elmer from PPA ubuntu 20.04 and 20.10

Post by raback »

Hi

Ok, I updated the recipes for focal and groovy gui versions by adding libgfortran5 instead of libgfortran. Seemed to do the trick for the non-gui versions. Should be freshly compiled by tomorrow.

https://github.com/ElmerCSC/elmer-packa ... 8fd239aa1b

-Peter
Post Reply